// Prim.java                                   MM 2014
import Tools.IO.*;                          // IOTools

/**
 * Primzahlen Serie 1 Aufgabe 3 (Modellrechner):
 * Beantwortet die Frage, ob n eine Primzahl ist.
 * p = 1: n ist eine Primzahl
 * p = 0: sonst
 */
public class Prim
{
/**
 * Hauptmethode, erzeugt Bildschirmausschrift.
 */
  public static void main( String[] args)
  {
    int n, p , t = 0, a = 0;
    boolean protokoll = true;
    n = IOTools.readInteger
            ( "Bitte eine natuerliche Zahl eingeben! ");
    if( protokoll)
    System.out.println( "\tn"  + "\tp" + "\tt" + "\ta");

    p = 0;
    if( protokoll)
    System.out.println( "\t" + n + "\t" + p + "\t" + t + "\t" + a);

    if( n > 1)
    {
      if( n == 2)
      {
        p = 1;                       // 2 ist Primzahl
        if( protokoll)
        System.out.println( "\t" + n + "\t" + p + "\t" + t + "\t" + a);
      }
      else
      {
        t = 2;
        p = n % t;
        if( protokoll)
        System.out.println( "\t" + n + "\t" + p + "\t" + t + "\t" + a);

        if( p != 0)                  // n ist ungerade
        {
          a = n / t;
          t = 3;
          if( protokoll)
          System.out.println( "\t" + n + "\t" + p + "\t" + t + "\t" + a);

          while( a > t)                 //  n >= t * t
          {
            p = n % t;
            if( protokoll)
            System.out.println( "\t" + n + "\t" + p + "\t" + t + "\t" + a);

            if( p != 0)
            {
              p = 1;
              a = n / t;          // Abbruchkriterium
              t = t + 2;
            }
            else
            {
              a = t;           // erzwungener Abbruch
            }
            if( protokoll)
            System.out.println( "\t" + n + "\t" + p + "\t" + t + "\t" + a);
          }
        }
      }
    }

    System.out.println( "prim( " + n + ") = " + p);
  }
}